	program calculate_factorial_1
       	   ! implicit none
   	   integer::s,x

   	   if (s<=0) then
  	      c = c * 4 
	   elseif(s<=5) then
	            e = e + 9
	   elseif(s<=10) then
	      	    a = a - 2 
   	   end if

	   a = a + b + c + d + e
	   end
